#pragma once
#include "controller.h"
typedef struct 
{
    char** verses;
    size_t noVerses;
} chapter_t;
typedef struct 
{
    char* name;
    chapter_t* chapters;
    size_t noChapters;
} book_t;
typedef struct 
{
   
    char* name;
    book_t* books;
    size_t noBooks;
} bible_t;


typedef enum {
    PAGE_BIBLE_LIST=0,
    PAGE_BOOK_LIST=1,
    PAGE_CHAPTER_LIST=2,
    PAGE_CHAPTER_VIEW=3,
    PAGE_BOOKMARK_VIEW=4,
    PAGE_BOOKMARK_MENU=5
} app_page_t;

typedef struct {
    int user;
    int bible;
    int book;
    int chapter;
    int verse;
} verse_bookmark_t;

typedef struct {
     size_t noBookmarkedVerses;
    size_t bookmarkedVersesCap;
    verse_bookmark_t* bookmarkedVerses;
   
    int index;
    bible_t bibles[4];
    size_t curBible;
    size_t curBook;
    size_t curChapter;
    size_t curVerse;
    app_page_t page;
} app_data_t;


void LoadBibles(app_data_t* myData);
void UiInit();
void UiRender();
BOOL UiUpdate(u32 pad);

void bookmark_add();